## conda-package-handling 2.0.1

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = docs
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

style:
	isort --profile=black .
	black .

usage:
	python update_usage.py && echo "updated README.md" || echo "unchanged README.md"

=== requirements.txt ===
# used in sphinx documentation build
conda-package-streaming>=0.7.0
# docs
furo
sphinx
myst-parser
mdit-py-plugins>=0.3.0

## conda-package-handling 1.6.0

=== debian/changelog ===
conda-package-handling (1.6.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:51 +0000

conda-package-handling (1.6.0-2) unstable; urgency=medium

  * Add missing copyrights
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Dec 2019 08:22:21 +0100

conda-package-handling (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #945148)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Nov 2019 16:35:29 +0100

=== debian/control ===
Source: conda-package-handling
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               python3-dev,
               python3-setuptools,
               libarchive-dev,
               python3-pytest <!nocheck>,
               python3-tqdm <!nocheck>,
               python3-pytest-mock <!nocheck>,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
Homepage: https://github.com/conda/conda-package-handling

Package: conda-package-handling
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         python3-six,
         python3-tqdm
Description: create and extract conda packages of various formats
 Cph is an abstraction of conda package handling and a tool for
 extracting, creating, and converting between formats.
 .
 At the time of writing, the standard conda package format is a .tar.bz2
 file. That will need to be maintained for quite a long time, thanks to
 the long tail of people using old conda versions. There is a new conda
 format, described at https://docs.google.com/document/d/1HGKsbg_j69rKXP-
 ihhpCb1kNQSE8Iy3yOsUU2x68x8uw/edit?usp=sharing. This new format is
 designed to have much faster metadata access and utilize more modern
 compression algorithms, while also facilitating package signing without
 adding sidecar files.

## conda-package-handling 1.7.0

=== debian/changelog ===
conda-package-handling (1.7.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #963334
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jun 2020 11:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                python3-dev,
@@ -12,7 +12,7 @@
                python3-pytest <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
 Homepage: https://github.com/conda/conda-package-handling

## conda-package-handling 1.7.2

=== debian/changelog ===
conda-package-handling (1.7.2-2) unstable; urgency=medium

  * Team upload.
  * Extend datetime to Dec 1, 2021 in api test
    to prevent failing tests in arm64. (Closes: #976506)
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 20:59:39 +0530

conda-package-handling (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Add autopkgtest
  * Add patch to remove regression in the new version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 27 Oct 2020 18:08:28 +0000

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, tree
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4

https://github.com/conda/conda-package-handling/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## conda-package-handling 1.7.3

=== debian/changelog ===
conda-package-handling (1.7.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:09:45 +0000

conda-package-handling (1.7.3-2) unstable; urgency=medium

  * Build-Depends: python3-six
    Closes: #1002236
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 11:22:34 +0100

conda-package-handling (1.7.3-1) unstable; urgency=medium

  * Team Upload.
  * Fix watch URL
  * New upstream version 1.7.3
  * Remove merged patch

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:29:01 +0530

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
                python3-setuptools,
                libarchive-dev,
                python3-pytest <!nocheck>,
+               python3-six <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
 Homepage: https://github.com/conda/conda-package-handling
+Rules-Requires-Root: no
 
 Package: conda-package-handling
 Architecture: any

=== debian/watch ===
version=4

https://github.com/conda/conda-package-handling/releases .*/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## conda-package-handling 1.8.0

=== debian/changelog ===
conda-package-handling (1.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Mar 2022 12:54:38 +0100

## conda-package-handling 1.8.1

=== debian/changelog ===
conda-package-handling (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.1
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 14:18:39 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-six <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
 Homepage: https://github.com/conda/conda-package-handling

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/conda/conda-package-handling/releases .*/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## conda-package-handling 2.0.1

=== debian/changelog ===
conda-package-handling (2.0.1-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS on 32 bit archs
  * Stop mentioning removed files from d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Jan 2023 09:47:00 +0530

conda-package-handling (2.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Fix watch file
  * New upstream version

  [ Nilesh Patra ]
  * Deactivate test once and for all (Closes: #976506)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 18:16:18 +0530

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-six <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-conda-package-streaming <!nocheck>
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git

## conda-package-handling 2.1.0

=== docs/requirements.txt ===
# used in sphinx documentation build
conda-package-streaming>=0.7.0
# docs
furo
sphinx
sphinx-argparse
myst-parser
mdit-py-plugins>=0.3.0

=== debian/changelog ===
conda-package-handling (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 17:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-conda-package-streaming <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
 Homepage: https://github.com/conda/conda-package-handling

## conda-package-handling 2.2.0

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,3 @@
 style:
 	isort --profile=black .
 	black .
-
-usage:
-	python update_usage.py && echo "updated README.md" || echo "unchanged README.md"

=== debian/changelog ===
conda-package-handling (2.2.0-2) unstable; urgency=medium

  * Drop python3-six from (Build-)Depends
    Closes: #1052523
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Dec 2023 12:19:13 +0100

conda-package-handling (2.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 12:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                cython3,
                python3-dev,
                python3-setuptools,
                libarchive-dev,
                python3-pytest <!nocheck>,
-               python3-six <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-conda-package-streaming <!nocheck>
@@ -25,7 +24,6 @@
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
-         python3-six,
          python3-tqdm
 Description: create and extract conda packages of various formats
  Cph is an abstraction of conda package handling and a tool for

## conda-package-handling 2.3.0

=== docs/requirements.txt ===
# used in sphinx documentation build
conda-package-streaming>=0.9.0
# docs
furo
sphinx
sphinx-argparse
myst-parser
mdit-py-plugins>=0.3.0

=== debian/changelog ===
conda-package-handling (2.3.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1073387
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2024 20:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-tqdm <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-conda-package-streaming <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-handling
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-handling.git
 Homepage: https://github.com/conda/conda-package-handling

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name junit.xml -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/conda/conda-package-handling/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
